#!/bin/sh
# laby.tcl
# \
exec wish "$0" ${1+"$@"}
#*************************************************************************
#  Copyright (C) 2002 Jean louis Sendrals <jlsendral@free.fr>
#
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#
#**************************************************************************
#  File  : laby.tcl
#  Author  : Jean Louis Sendral <jlsendral@free.fr>
#  Modifier:
#  Date    : 30/05/2004
#  Licence : GNU/GPL Version 2 ou plus
#
#  Description:
## Confre Linux magazine n62 et plan informatique IPT : EPI
#  ------------
#
#  @version    $Id: laby.tcl,v 0.1 2004/05/30 
#  @author     Jean Louis Sendral
#  @modifier
#  @project    Le terrier
#  @copyright  Jean Louis Sendral
#
#***********************************************************************
#**************************************************************************
#  File  : laby.tcl
#  Author  : Jean Louis Sendral <jlsendral@free.fr>
#  Modifier:
#  Date    : 30/05/2004
#  Licence : GNU/GPL Version 2 ou plus
#
#  Description:
#  ------------
#
#  @version    $Id: laby.tcl,v 0.1 2004/05/30
#  @author     Jean Louis Sendral
#  @modifier
#  @project    Le terrier
#  @copyright  Jean Louis Sendral
#
#***********************************************************************
global sysFont
source labyrinthe.conf
source msg.tcl
source fonts.tcl
source path.tcl
set plateforme $tcl_platform(platform) ; set ident $tcl_platform(user)
init $plateforme
set type_laby [lindex $argv 1 ]
set nom_laby  [lindex $argv 0] 
set rep_travail [lindex $argv 2]
set basedir [pwd]
proc retiens_m { } {
global  w2 m
set  m [${w2}.n_m get ]
if { [ teste_input $m ] } {
set m [${w2}.n_m get ]
${w2}.n_n configure -state normal
focus ${w2}.n_n
} else {
${w2}.n_m delete 0 end
focus ${w2}.n_m
return
}
}

proc retiens_n { } {
global w2 n
set  n [${w2}.n_n get ]
if { [teste_input $n ] } {
set n  [${w2}.n_n get ]
#${w4}.n_n configure -state normal
destroy ${w2}
} else {
${w2}.n_n delete 0 end
focus ${w2}.n_n
return
}
}
 global m n
 proc teste_input { input} {
if  {[ regexp {(^[0-9]+$)} $input ] == 1 && $input <= 12} {
            return $input
    } else {
return 0
}
}
if { $nom_laby == "aucun" || $nom_laby == {}} {
set deja_sauve 0
catch {destroy .top2 } 
set w2 [toplevel .top2]
wm geometry $w2 250x150+100+0
wm resizable $w2 no no
wm title $w2 [mc {choix_m_n}]
grab ${w2}
lower  . ${w2}
raise ${w2} .
focus -force  ${w2}
label ${w2}.text_m -text [ mc {m}] -font {arial 10}
place ${w2}.text_m -x 15 -y 30
entry ${w2}.n_m -width 6 -font {arial 10} -justify center
place ${w2}.n_m -x 90 -y 30
focus ${w2}.n_m
bind ${w2}.n_m <Return> "retiens_m "
bind ${w2}.n_m <KP_Enter> "retiens_m "
label ${w2}.text_n -text [mc {n}] -font {arial 10}
place ${w2}.text_n -x 15 -y 60
entry ${w2}.n_n -width 6 -font {arial 10} -justify center
place ${w2}.n_n -x 90 -y 60
${w2}.n_n configure -state disabled
#focus ${w2}.n_divis
bind ${w2}.n_n <Return> "retiens_n "
bind ${w2}.n_n <KP_Enter> "retiens_n "
tkwait window ${w2}
} else {
set deja_sauve 1
cd $rep_travail 
set f [open [file join $nom_laby ] "r"  ]
set data  [gets $f] ;#init du labyrinthe.
close $f
set m [lindex $data 0] ; set n [lindex $data 1]
set l_tab {} 
 ##puts "$data   [lindex $data 2] "
array set tab_laby  [lindex $data 2]
##init de dpart,arrive et type labyrinthe
set depart [lindex $data 3] ; set arrivee [lindex $data 4] ; set type_laby [lindex $argv 1 ]
}
##################################Initialisations###############################
#################################################################################
proc init {} {
global N O S E ST m n cell_N trans   cell_O  cell_S  cell_E  cell_ST tab_laby trans fc deja_sauve
set trans 20
##m n pris dans les menus prevoir sauver labyrinthe  et donc son choix
## tableau linaire reprsentant leles cases.
## les directions : ouvrir porte O : cell | 1 << $O faire des tableaux ??
set N 0 ; set O 1 ; set S 2 ; set E 3 ; set ST 4
##global N O S E ST
## les bits sont St E S O N :  0 case non visite portes fermes
## masques pour connaitre l'tat des portes et l'tat de la cellule : cell & cell_N pour la nord
set cell_N 1 ; set cell_O 2 ; set cell_S 4 ; set cell_E 8 ; set cell_ST 16
##set m 6 ; set n 6
if { $deja_sauve == 0 } {
 for {set i 0 } { $i <= [expr $n*$m -1 ] } { incr i } {
	set tab_laby($i) 0
	if { $i > 0 && $i < [ expr $m -1 ]} {
	set tab_laby($i) 1 }

   if { $i > [expr ${m}*(${n}- 1)] && \
			$i < [expr ${m}*${n}- 1] } {set tab_laby($i) 4 }
		if { [ expr $i % $m ] == 0 } { set tab_laby($i) 2 }
	if { [ expr $i % $m ] ==  [expr $m - 1] } {
	set tab_laby($i) 8 }
##les coins
	if { $i == 0} {set tab_laby($i) 3 }
	if { $i == [expr $m -1 ]} {set tab_laby($i) 9 }
	if { $i ==  [expr $m * [expr $n - 1] ] } {set tab_laby($i) 6 }
	if { $i == [expr ${m}*${n}- 1] } {set tab_laby($i) 12 }
	}
}
}
##set tab [array get tab_laby]
##################################Init canvas########################################################
########################################################################################################
proc init_traces {} {
global m n trans largeur hauteur x_no y_no x_so y_so x_ne y_ne x_se y_se trans tab_laby data deja_sauve type_laby
global tcl_platform
##taille des cases
set taille_lar 35 ; set taille_hau 35
set largeur [expr $taille_lar - 0] ; set hauteur [expr $taille_hau - 0]
. configure -background blue
wm geometry . +0+0
wm title  . "[mc {laby}] $type_laby $n sur $m"
##wm resizable no no
set haut_canvas  [expr ($n*$hauteur) +30 ] ; set haut_frame  [expr $haut_canvas  +140]
 frame .frame -bg blue -height $haut_frame  -width 520
  pack  .frame -side top -fill both -expand yes
 frame .right  -bg blue -width 20
  pack .right -side top -fill both -expand yes -pady 4 -ipady 1
  frame .bottom -bg blue -width 20
  pack  .bottom -side top -fill both -expand yes
 label .bottom.message -text "[mc {consignes}]" -font 10x20
  button .right.refaire -text [mc {Recommencer}] -font {Helvetica 12 bold } -command "recommencer"
 pack .right.refaire -side left
  button .right.anticiper -text [mc {Anticiper}] -font {Helvetica 12 bold } -command "anticiper"
 pack .right.anticiper -side left -padx 10
  if { $type_laby == "normal"  } {
  button .right.grille_ant -text [mc {Grille?}] -font {Helvetica 12 bold } -command "voir_grille"
 		pack .right.grille_ant -side left -padx 1
}
		## button .right.modif -text [mc {Modifs para}] -font {Helvetica 12 bold } -command "recommencer"
## pack .right.modif -side left
  button .right.quit -text [mc {Quitter}] -font {Helvetica 12 bold } -command "exit "
 pack .right.quit -side right -padx 2
  button .right.impr -text [mc {Imprimer}] -font {Helvetica 12 bold } -command "imprime .frame.c "
 pack .right.impr -side right -padx 2
if { $tcl_platform(platform) != "unix" } {
 .right.impr configure -state disabled
}
 button .right.sauver -text [mc {Sauver}] -font {Helvetica 12 bold } -command "sauver  "
 pack .right.sauver -side right  -padx 2
  pack  .bottom.message -side top
##.bottom.message configure -text " n :[lindex $argv 0 ]  "
######## #Le canvas pour le labyrinthe########
 ##################################
 set fc .frame.c
  canvas $fc -height  $haut_canvas -width 520 \
	-bg blue -highlightbackground blue
  pack $fc -expand true
## afficher tous les murs
 .frame.c create rect $trans $trans [expr $trans + $m*$taille_lar ] [expr $trans + $n*$taille_hau ]   -width 2
focus -force .  
}

#################Sauver le labyrinthe tableau dpart arrive nbre lignes colonnes
proc sauver { } {
global rep_travail tab_laby m n deja_sauve depart arrivee
set tab  {}
for {set i 0 } { $i <= [expr [ llength [array get tab_laby ]  ] - 1]}  {incr i }  {
set tab [linsert $tab end [lindex [array get tab_laby ] $i ] ]
}
set datas "$m $n     \{${tab}\}   $depart $arrivee "
set types {    {{Fichiers labyrinthes}            {.lab}        }}
set ext .lab
catch {set nom_laby [tk_getSaveFile -filetypes $types -initialdir $rep_travail ]}
    if {$nom_laby != ""} {
                set name_laby "${nom_laby}$ext"
        }
 set f [open $name_laby "w"]
    puts $f $datas
    close $f
  set deja_sauve 1
 .right.sauver configure -state disabled
    }


###################################Procedures, fonctions utilitaires##################
####################################################################################
############# pour obtenir la liste des coor de la case d'indice indice
proc indice_xy { indice } {
global m
return [ list [expr $indice / $m ] [expr $indice % $m] ]
}
#### et pour avoir l'indice de la case correspondant aux coordonnes de la case
proc xy_indice { x y} {
global m
return [expr  $x*$m +$y]
}

#####################################
######## Pour les coordonnes des coins de la  case de numro n_case
proc cas_nseo { n_case} {
##ne suffit
global largeur hauteur x_no y_no x_so y_so x_ne y_ne x_se y_se trans
set x_case [lindex [indice_xy $n_case ] 1] ;##au sens canvas
set y_case [lindex [indice_xy $n_case ] 0]
set x_no [expr ${x_case}*$largeur + $trans]
set y_no [expr ${y_case}*$hauteur + $trans ]
##donc
set y_so [expr $y_no + $hauteur  ] ; set x_so  $x_no
set y_ne $y_no ; set x_ne [expr $x_no + $largeur]
set x_se $x_ne ; set y_se $y_so
}

##.bottom.message configure -text [array get tab]
##update
##############Test des bords#################
proc pas_bord_e { c } {
global m
if { [expr $c % $m ] == [expr $m - 1] } { return 0} else { return 1}
}

proc pas_bord_o { c } {
global m
if { [expr $c % $m ] == 0 } {return 0} else { return 1 }
}
proc pas_bord_n { c } {
global m
if { $c >= $m } {return 1} else { return 0 }
}
proc pas_bord_s { c } {
global m n
if { $c <  [expr $m  * ($n - 1)  ] }  {return 1} else { return 0 }
}

##################Choix case suivante pour avancer dans le labyrinthe"""""""""""""""""
proc case_suivante {case  }  {
global N O S E cell_N m n  cell_O  cell_S  cell_E  cell_ST tab_laby
##tat des portes PB DES BORDS ??? tester les bords pour e  et o
set cell $tab_laby($case) ; set l_cases {}
##set cell_s_n $tab_laby([expr $case - $m])
## tat des portes des celules si 1 ouverte et etat occupe de la suivante
 if {[expr [expr $cell & $cell_S ] == $cell_S ] }  { set etat_p_s 1} else { set etat_p_s 0}
if { [expr [expr $cell & $cell_N ] == $cell_N ] } { set etat_p_n 1} else { set etat_p_n 0 }
if {[expr [expr $cell & $cell_O ] == $cell_O ]} {set etat_p_o 1} else { set etat_p_o  0 }
if [expr [expr $cell & $cell_E ] == $cell_E ] {set etat_p_e 1} else { set etat_p_e 0 }
set etat_p_st [expr [expr $cell & $cell_ST ] == $cell_ST ]

if { [ pas_bord_n $case ] == 1   && $etat_p_n == 0  && \
    [expr $tab_laby([expr $case - $m]) & $cell_ST ] == 0 } {set l_cases [linsert  $l_cases 0 N ]  }
if { [ pas_bord_o $cell ] == 1 && $etat_p_o == 0  && \
	[expr $tab_laby([expr $case - 1 ]) & $cell_ST ] == 0 } {set l_cases [  linsert $l_cases 0 O]  }
if { [ pas_bord_s $case ] == 1  && $etat_p_s ==0  && \
[expr $tab_laby([expr $case + $m]) & $cell_ST ] == 0  } {set l_cases [  linsert $l_cases 0 S]  }
if { [ pas_bord_e $case ] == 1 &&   $etat_p_e == 0 && \
[expr $tab_laby([expr $case + 1]) & $cell_ST ] == 0 } { set l_cases [linsert $l_cases 0 E ] }
if { $l_cases != {} } {
 set l [llength $l_cases] ; set has [expr int(${l}*rand()) ]
	return 	[lindex $l_cases $has]

	} else { return $l_cases }
}
set trace {}
###############################Elaboration du chemin##############################
###########################################################################
proc  cheminer { dep retour mur chemin  } {
##appel par chemin n-depart "" tab_laby
global m n N O E S ST tab_laby x_no y_no x_so y_so x_ne y_ne x_se y_se trace
if { $mur == [expr ${m}*{$n} ] || [lindex $chemin end ] == {} } {
		return  $retour
##list $chemin
}
set vers [case_suivante [lindex $chemin end ] ]
set case_ac [lindex $chemin end ] 
### set trace [linsert $trace end "$retour v $vers $mur $chemin\n" ]
 set tab_laby($case_ac) [expr $tab_laby($case_ac) | [expr 1 << $ST ] ]
if { $vers != {} } { incr mur ;
##detruire mur	maj tab_laby  dep et cas_suiv
	switch $vers {
	"N" { set cas_suiv  [expr  $case_ac - $m]
	 set tab_laby($case_ac) [expr $tab_laby($case_ac) | [expr 1 << $N ] ]

	set tab_laby($cas_suiv) [expr $tab_laby($cas_suiv) | [expr 1 << $S ] ]

	   }
	"O" { set cas_suiv  [expr $case_ac - 1 ]
	 set tab_laby($case_ac) [expr $tab_laby($case_ac) | [expr 1 << $O ] ]

	 set tab_laby($cas_suiv) [expr $tab_laby($cas_suiv) | [expr 1 << $E ] ]

		}
	"S" { set cas_suiv  [expr $case_ac + $m ]
	 set tab_laby($case_ac) [expr $tab_laby($case_ac) | [expr 1 << $S ] ]

	 set tab_laby($cas_suiv) [expr $tab_laby($cas_suiv) | [expr 1 << $N ] ]

	 }
	"E" { set cas_suiv  [expr $case_ac + 1 ]
	 set tab_laby($case_ac) [expr $tab_laby($case_ac) | [expr 1 << $E ] ]

	 set tab_laby($cas_suiv) [expr $tab_laby($cas_suiv) | [expr 1 << $O ] ]

	}
	}

     cas_nseo [lindex $chemin end ] ; ##x_no y_no x_so y_so x_ne y_ne x_se y_se
   		switch $vers {
			"N" {.frame.c create line $x_no $y_no $x_ne $y_ne -fill blue -width 1 }
			"O" {.frame.c create line $x_no $y_no $x_so $y_so -fill blue -width 1 }
			"S" {.frame.c create line $x_so $y_so $x_se $y_se -fill blue -width 1 }
			"E" {.frame.c create line $x_ne $y_ne $x_se $y_se -fill blue -width 1 }
		}
		set chemin [linsert $chemin end $cas_suiv ]
		return [cheminer $dep $cas_suiv  $mur  $chemin  ]
	} else {


		set chemin [lrange $chemin 0 end-1 ]
		return [linsert  [cheminer $dep [lindex $chemin end ]   $mur   $chemin  ] end [lindex $chemin end ]]

}
}
###################Tracer les murs en bleu pour cach########################################
###########################################################################
proc tracer {coul} {
global tab_laby x_no y_no x_so y_so x_ne y_ne x_se y_se m n cell_N trans depart data
global  cell_O  cell_S  cell_E  cell_ST arrivee
array set tab_laby [array get tab_laby]
##.bottom.message configure -text "$m $n $depart $arrivee \n [lrange [lindex $data 2] 0 13]\n [lrange [array get tab_laby] 0 13]"

for { set  case 0} { $case < [expr $m*$n] } {incr case} {
 cas_nseo $case ; ##x_no y_no x_so y_so x_ne y_ne x_se y_se
 set cell $tab_laby($case)
if {[expr [expr $cell & $cell_S ] == 0 ] } {
	.frame.c create line $x_so $y_so $x_se $y_se -fill $coul -width 1
	}
if {[expr [expr $cell & $cell_N ] == 0 ] } {
	.frame.c create line $x_no $y_no $x_ne $y_ne -fill $coul -width 1

	}
if {[expr [expr $cell & $cell_O ] == 0 ] } {
	.frame.c create line $x_no $y_no $x_so $y_so -fill $coul -width 1
	}
if {[expr [expr $cell & $cell_E ] == 0 ] } {
	.frame.c create line $x_ne $y_ne $x_se $y_se -fill $coul -width 1
	}
}
set cell $tab_laby($depart) ; cas_nseo $depart
if { [expr $depart % $m ] == 0 } {
.frame.c create line $x_no $y_no $x_so $y_so -fill red -width 3 } elseif \
 { [expr $depart % $m ] == [expr $m - 1] } { .frame.c create line $x_ne $y_ne $x_se $y_se -fill red -width 3 } elseif \
{  $depart > 0 && $depart < [expr $m - 1] } { .frame.c create line $x_no $y_no $x_ne $y_ne -fill red -width 3 } elseif \
 {  $depart > [expr  $m*($n-1)] && $depart < [expr ($m*$n)-1] } { .frame.c create line $x_so $y_so $x_se $y_se -fill red -width 2 } else {
 .frame.c create rectangle [expr $x_no + 4] [expr $y_no + 4 ] [expr $x_se - 4 ] [expr $y_se - 4 ]  -fill red -width 3
 }
set cell $tab_laby($arrivee) ; cas_nseo $arrivee
if { [expr $arrivee % $m ] == 0 } {
.frame.c create line $x_no $y_no $x_so $y_so -fill green -width 3 } elseif \
 { [expr $arrivee % $m ] == [expr $m - 1] } { .frame.c create line $x_ne $y_ne $x_se $y_se -fill green -width 3 } elseif \
{  $arrivee > 0 && $arrivee < [expr $m - 1] } { .frame.c create line $x_no $y_no $x_ne $y_ne -fill green -width 3 } elseif \
 {  $arrivee > [expr  $m*($n-1)] && $arrivee < [expr ($m*$n)-1] } { .frame.c create line $x_so $y_so $x_se $y_se -fill green -width 2 } else {
 .frame.c create rectangle [expr $x_no + 4] [expr $y_no + 4 ] [expr $x_se - 4 ] [expr $y_se - 4 ]  -fill green -width 3
 }
}

proc tout_droit { che } {
if { [llength $che ] == 1 } {
 return $che } else {
if { [lsearch -exact [lrange  $che 1 end ] [lindex $che 0] ] == -1 } {
return [linsert [ tout_droit [lrange $che 1 end]] 0 [lindex $che 0] ]
} else {
return [ tout_droit  [lrange $che [expr [lsearch -exact [lrange  $che 1 end ] [lindex $che 0] ] + 1] end] ]
}
}
}
#########################Activite de dplacement dans le labyrinthe####################
proc peut_on { lieu vers } {
global tab_laby cell_N   cell_O  cell_S  cell_E  cell_ST m n
	switch $vers {
		"droite" {
		if { [expr [expr $tab_laby($lieu) & $cell_E ] == 0] || [expr $lieu % $m] == [expr $m -1] } {
		return 0 } else { return 1}
		}
		"gauche" {
		if { [expr [expr $tab_laby($lieu) & $cell_O ] == 0] || [expr $lieu % $m ] == 0  } {
		return 0 } else { return 1}
		}
		"haut" {
		if { [expr [expr $tab_laby($lieu) & $cell_N ] == 0] || [expr $lieu <= [expr $m -1] && $lieu >= 0 ]} {
		return 0 } else { return 1}
		}
		"bas" {
		if { [expr [expr $tab_laby($lieu) & $cell_S ] == 0] || [expr $lieu <= [expr $m*$n -1] && [expr $lieu >= [expr $m*($n-1)]]]   } {
		return 0 } else { return 1}
		}

	}

}
proc clignote {} {
global ici curseur
bell ; bell
for  { set i 1} {$i <= 1 } { incr i } {
after 50
.frame.c itemconfigure $curseur  -fill red
update
.frame.c itemconfigure $curseur  -fill yellow
after 50
update
}
}
proc clignote_bon {} {
global ici curseur
bell ; bell
for  { set i 1} {$i <= 3 } { incr i } {
after 200
.frame.c itemconfigure $curseur  -fill yellow -width 4
update
after 200
.frame.c itemconfigure $curseur  -fill green -width 4
update
}
}


proc vide_fleche {}  {
global fleche_d fleche_g fleche_h fleche_b curseur curs_n
set fleche_g "" ; set fleche_d "" ; set fleche_h "" ; set fleche_b "" ; set curseur "" ; set curs_n ""
}
#################pour le laby cache###############################
##############################Rendra visible  les murs... invisibles###############
proc traite_cache {lieu vers } {
global global largeur hauteur x_no y_no x_so y_so x_ne y_ne x_se y_se echec reussite
cas_nseo $lieu

  switch $vers {
	"droite" { if { [pas_bord_e $lieu] == 1 } {
				.frame.c create line $x_ne $y_ne $x_se $y_se -fill red -width 1  }
				}
	"gauche" { if { [pas_bord_o $lieu] == 1 } {
		.frame.c create line $x_no $y_no $x_so $y_so -fill red -width 1  }
		}
	"bas" { if { [pas_bord_s $lieu] == 1 } {
		.frame.c create line $x_so $y_so  $x_se $y_se -fill red -width 1 }
		}
	"haut" { if { [pas_bord_n $lieu] == 1 } {
	.frame.c create line $x_no $y_no $x_ne $y_ne -fill red -width 1  }
	}
	}
}

#####################Pour enchainer selon le type de laby et les ordres av re tg td ...#################
#########################################################################################
proc tout_unset { } {
global x_no y_no x_so y_so x_ne y_ne x_se y_se
unset  x_no y_no x_so y_so x_ne y_ne x_se y_se
}

proc va { ou  } {
global tab_laby largeur hauteur curseur ici m n curs_n fleche_d fleche_g fleche_h fleche_b
global echec reussite type_laby  x_no y_no x_so y_so x_ne y_ne x_se y_se arrivee depart
##cas_nseo $ici
if { $ici == $arrivee } {
clignote_bon ; .right.refaire  configure -state normal
.bottom.message configure -text [format  [mc {C'est fini : nbre echecs %1$s nbre reussites  %2$s }] $echec $reussite]
if { $type_laby == "cache" } {
##set recom "pour recommencer Cliquer sur Recommencer"
.bottom.message configure -text   "[format [mc {C'est fini : nbre de murs atteints :  %1$s nbre reussites :  %2$s}] $echec $reussite]  \n[ mc {recomm} ]"
bind . <Insert> " set reussite 0 ; set echec 0 ; .frame.c delete $curseur ; tracer blue ; deplacer cache"
}
set reussite 0 ; set echec 0
return
}

##.frame.c  move $curseur $largeur 0 pb des bords
##focus .frame.c
	if { $curseur == $curs_n } {
	switch $ou {
 	"droite" {
 	if { [peut_on $ici droite ] == 1 } {
	.frame.c  move $curseur $largeur 0 ; set ici  [expr $ici + 1 ] ; incr reussite
	} else { incr echec ; clignote ; if { $type_laby == "cache" } {traite_cache $ici $ou }}
	}
	"gauche" {
	if { [peut_on $ici gauche ] == 1 } {
	.frame.c  move $curseur -$largeur 0 ; set ici [expr $ici - 1 ] ; incr reussite
	} else {incr echec ; clignote ; if { $type_laby == "cache" } {traite_cache $ici $ou}}
	}
	"haut" {
	if { [peut_on $ici haut ] == 1 } {
	.frame.c  move $curseur  0 -$hauteur ; set ici [expr $ici - $m ] ; incr reussite
	} else { incr echec ;  clignote ; if { $type_laby == "cache" } { traite_cache $ici $ou }}
	}
	"bas" {
	if { [peut_on $ici bas ] == 1 } {
	.frame.c  move $curseur  0 $hauteur ; set  ici [expr $ici + $m ] ; incr reussite
	} else { incr echec ; clignote ; if { $type_laby == "cache" } { traite_cache $ici $ou }}
	}
		} 
		} elseif { $curseur == $fleche_d } {

		switch $ou {
 			"haut" { if { [peut_on $ici droite ] == 1 } {
		tout_unset ;	cas_nseo $ici ; incr reussite
	.frame.c  move $curseur $largeur 0 ; set ici  [expr $ici + 1 ]
	} else { clignote ; incr echec }
	}
			"bas" { if { [peut_on $ici gauche ] == 1 } {
		tout_unset ;	cas_nseo $ici ; incr reussite
			.frame.c  move $curseur -$largeur 0 ; set ici  [expr $ici - 1 ]
		} else { clignote }

				}
			"droite" {.frame.c delete $curseur ; vide_fleche
		tout_unset ;	cas_nseo $ici
set fleche_b [.frame.c create line [expr [expr $x_ne + $x_no] / 2 ]  $y_ne [expr [expr $x_so + $x_se] / 2 ] $y_so  -fill yellow  -width 3 -arrow last -tags curseur_b ]
			 set curseur $fleche_b

				}
			"gauche" {.frame.c delete $curseur ; vide_fleche
		tout_unset ;	cas_nseo $ici
set fleche_h [ .frame.c create line  [ expr [expr $x_so + $x_se] / 2 ] $y_so [expr [expr $x_ne + $x_no] / 2] $y_ne -fill yellow  -width 3 -arrow last -tags curseur_h ]
			 set curseur $fleche_h

				}

##.bottom.message configure -text "$x_no $y_no $x_so $y_so $x_ne $y_ne $x_se $y_se"

		}

		} elseif { $curseur == $fleche_g } {

		switch $ou {
 			"haut" { if { [peut_on $ici gauche ] == 1 } {
		tout_unset ;	cas_nseo $ici ; incr reussite
	.frame.c  move $curseur -$largeur 0 ; set ici  [expr $ici - 1 ]
	} else { clignote ; incr echec}
	}
			"bas" { if { [peut_on $ici droite ] == 1 } {
		tout_unset ;	cas_nseo $ici ; incr reussite
			.frame.c  move $curseur $largeur 0 ; set ici  [expr $ici + 1 ]
		} else { clignote ; incr echec }

				}
			"gauche" { .frame.c delete $curseur ; vide_fleche
		tout_unset ;	cas_nseo $ici
set fleche_b [ .frame.c create line [expr [expr $x_no + $x_ne] / 2]  $y_no [expr [expr $x_so + $x_se] / 2 ] $y_so  -fill yellow  -width 3 -arrow last -tags curseur_b ]
			 set curseur $fleche_b

				}
			"droite" {.frame.c delete $curseur ;  vide_fleche
		tout_unset ;	cas_nseo $ici
set fleche_h [ .frame.c create line  [ expr [expr $x_so + $x_se ] / 2 ] $y_so [expr [expr $x_ne + $x_no ] / 2] $y_no -fill yellow  -width 3 -arrow last -tags curseur_h ]
			 set curseur $fleche_h

				}

		}

		} elseif { $curseur == $fleche_h } {

		switch $ou {

 			"haut" { if { [peut_on $ici haut ] == 1 } {
		tout_unset ;	cas_nseo $ici ; incr reussite
	.frame.c  move $curseur 0 -$hauteur ; set ici  [expr $ici - $m ]
	} else { clignote ; incr echec }
	}
			"bas" { if { [peut_on $ici bas ] == 1 } {
		tout_unset ;	cas_nseo $ici ; incr reussite
			.frame.c  move $curseur 0 $hauteur ; set ici  [expr $ici + $m ]
		} else { clignote ; incr echec }

				}
			"gauche" { .frame.c delete $curseur ; vide_fleche
		tout_unset ;	cas_nseo $ici
set fleche_g [ .frame.c create line $x_ne [expr [expr $y_ne + $y_se ] / 2] $x_no [expr [expr $y_so + $y_no ] / 2 ]  -fill yellow  -width 3 -arrow last -tags curseur_g ]
			 set curseur $fleche_g

				}
			"droite" {.frame.c delete $curseur ; vide_fleche
		tout_unset ;	cas_nseo $ici
set fleche_d [ .frame.c create line  $x_no [expr [expr $y_so + $y_no ] / 2 ] $x_se [expr [expr $y_se + $y_ne] / 2]  -fill yellow  -width 3 -arrow last -tags curseur_d ]
			 set curseur $fleche_d

				}

		}

		} elseif { $curseur == $fleche_b } {

		switch $ou {
 			"haut" { if { [peut_on $ici bas ] == 1 } {
		tout_unset ;	cas_nseo $ici ; incr reussite
	.frame.c  move $curseur 0 $hauteur ; set ici  [expr $ici + $m ]
	} else { clignote ; incr echec}
	}
			"bas" { if { [peut_on $ici haut ] == 1 } {
		tout_unset ;	cas_nseo $ici ; incr reussite
			.frame.c  move $curseur 0 -$hauteur ; set ici  [expr $ici - $m ]
		} else { clignote ; incr echec }

				}
			"droite" {.frame.c delete $curseur ; vide_fleche
		tout_unset ;	cas_nseo $ici
set fleche_g [ .frame.c create line  $x_ne [expr [expr $y_ne + $y_se] / 2 ] $x_no [expr [expr $y_so + $y_no ] / 2 ]  -fill yellow  -width 3 -arrow last -tags curseur_g ]
			 set curseur $fleche_g

				}
			"gauche" {.frame.c delete $curseur ; vide_fleche
		tout_unset ;	cas_nseo $ici
set fleche_d [ .frame.c create line  $x_no [expr [expr $y_so + $y_no] / 2 ] $x_se [expr [expr $y_se + $y_ne] / 2]  -fill yellow  -width 3 -arrow last -tags curseur_d ]
			 set curseur $fleche_d

				}

		}

		} 

 
}

###########################Se dplacer dans le labyrinthe###########################
####################################################################################
proc deplacer { type } {
global depart arrivee chemin  bon_chemin depart largeur hauteur curseur
global tab_laby x_no y_no x_so y_so x_ne y_ne x_se y_se m n cell_N   cell_O  cell_S  cell_E  cell_ST ici curs_n
global fleche_d fleche_g fleche_h fleche_b tcl_platform
cas_nseo $depart ; set ici $depart
##les curseurs rect fleches  partir du dpart (pb pour fleche ??
##set curs_n [ .frame.c create rectangle [expr $x_no + 4] [expr $y_no + 4 ] [expr $x_se - 4 ] [expr $y_se - 4 ] -width 1 -fill yellow  -tags curseur ]
if { $type != "normal" } {
.right.anticiper configure -state disabled
}
if { $type == "relatif" } {
vide_fleche
if { [pas_bord_o $depart] == 0 } { 
set fleche_d [ .frame.c create line  $x_no  [expr ($y_no + $y_so)/2] \
             $x_ne [expr [expr $y_ne + $y_se ] / 2] -fill yellow -width 3 -arrow last -tags curseur_d ]
		set  curseur $fleche_d	
		} elseif { [pas_bord_e $depart] == 0 } {
set fleche_g [ .frame.c create line  $x_ne [expr ($y_ne + $y_se)/2] $x_no  [expr ($y_no + $y_so)/2] \
            -fill yellow -width 3 -arrow last -tags curseur_g ]
		set  curseur $fleche_g	
		} elseif { [pas_bord_s $depart] == 0 } {
set fleche_h [ .frame.c create line  [ expr ($x_so + $x_se)/2 ] $y_so [expr  ($x_ne + $x_no) / 2] $y_no \
		-fill yellow  -width 3 -arrow last -tags curseur_h ]
		set  curseur $fleche_h	
		} elseif { [pas_bord_n $depart] == 0 } {						
set fleche_b [ .frame.c create line [expr ($x_ne + $x_no)/2]  $y_ne [expr ($x_so + $x_se)/2 ] $y_so  -fill yellow  -width 3 -arrow last -tags curseur_b ]
	set  curseur $fleche_b	
	}
}
if { $type == "normal" || $type == "cache" } {
set curs_n [ .frame.c create rectangle [expr $x_no + 4] [expr $y_no + 4 ] [expr $x_se - 4 ] [expr $y_se - 4 ] -width 1 -fill yellow  -tags curseur ]
set curseur $curs_n

}

############Les vnements
## consignes ecrire dr ga h b ou av re tg td
bind . <Right> { set vers droite ;   va  $vers }
##bind . <KP_Right> { set vers droite ;   va  $vers }
bind . <Left> { set vers gauche ; va  $vers  }
##bind . <KP_Left> { set vers gauche ; va  $vers  }
bind .  <Up> {set vers haut ;  va  $vers }
##bind .  <KP_Up> {set vers haut ;  va  $vers }
bind . <Down> {set vers bas ;  va  $vers }
##bind . <KP_Down> {set vers bas ;  va  $vers }
bind    .  <Shift-Insert>     "sauver_ps"
if { $tcl_platform(platform) == "unix" }  {
bind . <KP_Right> { set vers droite ;   va  $vers }
bind . <KP_Left> { set vers gauche ; va  $vers  }
bind . <KP_Down> {set vers bas ;  va  $vers }
bind .  <KP_Up> {set vers haut ;  va  $vers }
}
##quand fini memoriser scores et bind pour recommencer
##quand termin.bottom.message configure -text "$echec et $reussite"
}
########################Programme principal#########################
######################################################################
proc l_choix_arrivee {che} {
set liste {}
foreach el $che {
if { [ pas_bord_e $el ] == 0 || [ pas_bord_o $el ] == 0 \
    || [ pas_bord_n $el ] == 0 || [ pas_bord_s $el ] == 0  } {
set liste [linsert $liste end $el]
}
}
return $liste
}

###Pour recommencer avec le mme labyrinthe. Surtout pour le cach########
#####################################################
proc recommencer {} {
global type_laby curseur deja_sauve tcl_platform
.right.anticiper configure -state normal
catch {destroy .anticiper} ;  catch {destroy .ordres}
bind . <Right> { set vers droite ;   va  $vers }
##bind . <KP_Right> { set vers droite ;   va  $vers }
bind . <Left> { set vers gauche ; va  $vers  }
##bind . <KP_Left> { set vers gauche ; va  $vers  }
bind .  <Up> {set vers haut ;  va  $vers }
##bind .  <KP_Up> {set vers haut ;  va  $vers }
bind . <Down> {set vers bas ;  va  $vers }
##bind . <KP_Down> {set vers bas ;  va  $vers }
if { $tcl_platform(platform) == "unix" }  {
bind . <KP_Right> { set vers droite ;   va  $vers }
bind . <KP_Left> { set vers gauche ; va  $vers  }
bind . <KP_Down> {set vers bas ;  va  $vers }
bind .  <KP_Up> {set vers haut ;  va  $vers }
}
##effacer l'arrive
if { $deja_sauve == 0 } {
.right.sauver configure -state normal
} else {
.right.sauver configure -state disabled
}
.frame.c delete $curseur
.right.refaire  configure -state disabled
if { $type_laby == "cache" } {
tracer blue } else { tracer black
}
if { $type_laby == "relatif" } {
.right.modif_av_tg configure -state normal
.right.modif_re_tg configure -state normal
.right.modif_re_td configure -state normal
.right.modif_av_td configure -state normal
}
set reussite 0 ; set echec 0
.bottom.message configure -text [mc {consignes}] -font 10x20 -foreground black
deplacer $type_laby
}
proc voir_mur {} {
tracer black
update
after 2500
tracer blue
update
after 1500
##update
}
proc voir_grille { } {
global type_laby
voir_grille1 green 
update 
after 2000
voir_grille1  blue
update
if { $type_laby == "normal"  } {
tracer black
}
}
proc voir_grille1 {coul} {
global m n largeur hauteur trans
for {set col 0} { $col <= $m } {incr col } {
.frame.c  create line [expr $trans + (${col}*$largeur) ] $trans  [expr $trans + (${col}*$largeur) ] [expr $trans + (${n}*$hauteur) ] -fill $coul
}
for {set lig 0} { $lig <= $n } {incr lig} {
.frame.c  create line $trans [expr $trans + (${lig}*$hauteur) ]   [expr $trans + (${m}*$largeur) ] [expr $trans + (${lig}*$hauteur) ] -fill $coul
}
}
##################Les procdures Que !! que av tg ....#####################
###########################################################################
proc que_av_td {} {
global vers tcl_platform
.right.modif_av_tg configure -state disabled
.right.modif_re_tg configure -state disabled
.right.modif_re_td configure -state disabled
bind . <Left> { }
bind . <Down> {}
bind . <Right> { set vers droite ;   va  $vers }
bind . <Up> {set vers haut ;  va  $vers }
if { $tcl_platform(platform) == "unix" }  {
bind . <KP_Right> { set vers droite ;   va  $vers }
bind . <KP_Left> { }
bind . <KP_Down> {}
bind .  <KP_Up> {set vers haut ;  va  $vers }
}
}
#########################
proc que_re_td {} {
global vers tcl_platform
.right.modif_av_tg configure -state disabled
.right.modif_re_tg configure -state disabled
.right.modif_av_td configure -state disabled
bind . <Left> { }
bind . <Up> {}
bind . <Right> { set vers droite ;   va  $vers }
bind . <Down> {set vers bas ;  va  $vers }
if { $tcl_platform(platform) == "unix" }  {
bind . <KP_Right> { set vers droite ;   va  $vers }
bind . <KP_Left> { }
bind . <KP_Up> {}
bind .  <KP_Down> {set vers bas ;  va  $vers }
}
}
###########################
proc que_av_tg {} {
global vers tcl_platform
.right.modif_re_td configure -state disabled
.right.modif_re_tg configure -state disabled
.right.modif_av_td configure -state disabled
bind . <Right> { }
bind . <Down> {}
bind . <Left> { set vers gauche ;   va  $vers }
bind . <Up> {set vers haut ;  va  $vers }
if { $tcl_platform(platform) == "unix" }  {
bind . <KP_Left> { set vers gauche ;   va  $vers }
bind . <KP_Right> { }
bind . <KP_Down> {}
bind .  <KP_Up> {set vers haut ;  va  $vers }
}
}
############################
proc que_re_tg {} {
global vers tcl_platform
.right.modif_av_tg configure -state disabled
.right.modif_re_td configure -state disabled
.right.modif_av_td configure -state disabled
bind . <Right> { }
bind . <Up> {}
bind . <Left> { set vers gauche ;   va  $vers }
bind . <Down> {set vers bas ;  va  $vers }
if { $tcl_platform(platform) == "unix" }  {
bind . <KP_Left> { set vers gauche ;   va  $vers }
bind . <KP_Right> { }
bind . <KP_Up> {}
bind .  <KP_Down> {set vers haut ;  va  $vers }
}
}
#########################################################################################

###########################Procedure principale#####################
####################################################################
proc labyrinthe { } {
global depart chemin  bon_chemin depart reussite echec type_laby arrivee m n deja_sauve
init
init_traces
if { $deja_sauve ==  0 } {
set depart 0

set chemin [cheminer $depart {} 0 [list $depart]]
set bon_chemin [ tout_droit [lrange $chemin 1 end] ]
##set deja_sauve 0
set l_choix_arrivee [l_choix_arrivee  $bon_chemin ]
set depart [lindex $l_choix_arrivee [ expr int([llength $l_choix_arrivee]*rand())]]
set ind_depart [lsearch  $l_choix_arrivee $depart]
set l_choix [lreplace $l_choix_arrivee $ind_depart $ind_depart ]
set arrivee [lindex $l_choix [ expr int([llength $l_choix]*rand())]]
}
bind . <Insert> {auto $bon_chemin}
if { $deja_sauve == 1 } {
##set chemin [cheminer $depart {} 0 [list $depart]]
##set bon_chemin [ tout_droit [lrange $chemin 1 end] ]
.right.sauver configure -state disabled
}
##prendre la fin ds bon_chemin
##.bottom.message configure -text "$l $depart $ind_depart\n $l_choix  $arrivee"
##sauver
##tracer en bleu pour le cach
##set type_laby "relatif"
	switch $type_laby {
		"cache" {
		 button .right.modif -text [mc {Murs?}] -font {Helvetica 12 bold } -command "voir_mur"
 		pack .right.modif -side left -padx 1
		 button .right.grille -text [mc {Grille?}] -font {Helvetica 12 bold } -command "voir_grille"
 		pack .right.grille -side left -padx 1
		tracer blue
		}
		"relatif" { tracer black
		button .right.modif_av_td -text [mc {AV TD}] -font {Helvetica 10 bold } -command "que_av_td"
 		pack .right.modif_av_td -side left -padx 1
		button .right.modif_av_tg -text [mc {AV TG}] -font {Helvetica 10 bold } -command "que_av_tg"
 		pack .right.modif_av_tg -side left -padx 1
		button .right.modif_re_td -text [mc {RE TD}] -font {Helvetica 10 bold } -command "que_re_td"
 		pack .right.modif_re_td -side left -padx 1
		button .right.modif_re_tg -text [mc {RE TG}] -font {Helvetica 10 bold } -command "que_re_tg"
 		pack .right.modif_re_tg -side left -padx 1
		}
		"normal" {
		tracer black }
	}

set reussite 0 ; set echec 0
.right.refaire  configure -state disabled
##.bottom.message configure -text " $type_laby"
deplacer $type_laby

##bilan
}
labyrinthe

#############Pour anticiper les dplacements###################
####################################################
proc anticiper { }  {
global m n tab_laby depart arrivee ici1 fl_h fl_d fl_b fl_g basedir
.bottom.message configure -text "Utilise les flches, les lettres ou le clavier \n puis Fais  pour pas  pas\n ou Tout pour depuis le dpart"
cd $basedir
set fl_g  [image create photo fleche_g	-file  [file join  images "fl_g.gif"] ]
set fl_d [ image create photo fleche_d	-file [file join  images "fl_d.gif"] ]
set fl_h [ image create photo fleche_h	-file [file join  images "fl_h.gif"] ]
set fl_b [ image create photo fleche_b	-file [file join  images "fl_b.gif"]]
set poub [ image create photo poub	-file [file join  images "poubelle.gif"]]
set ici1 $depart
catch {destroy .ordres ; destroy .anticiper}
.right.anticiper configure -state disabled
frame .anticiper -width 20 
frame .ordres -bg blue
pack .anticiper -before  .right     -fill both -expand yes -side top 
entry .anticiper.code -width 40   -font {Helvetica 12 bold } -foreground red
pack  .anticiper.code  -side left
pack .ordres -before  .anticiper     -fill both -side top
##frame .fleches -bg blue
##pack .fleches -before .ordres
 button .ordres.ah  -text [mc {H}] -font {Helvetica 12 bold } -command "coder H "
 button .ordres.fl_ah   -image $fl_h  -command "coder H "
  button .ordres.ab  -text [mc {B}] -font {Helvetica 12 bold } -command "coder B "   
   button .ordres.fl_ab   -image $fl_b  -command "coder B "
 button  .ordres.ad  -text [mc {D}] -font {Helvetica 12 bold } -command "coder D " 
  button .ordres.fl_ad   -image $fl_d  -command "coder D "
  button .ordres.ag  -text [mc {G}] -font {Helvetica 12  bold } -command "coder G"
   button .ordres.fl_ag   -image $fl_g  -command "coder G "
   checkbutton .ordres.fleche -variable ordre_fl  -text "Flches" -command  " ordres fleche " -onvalue 1 -offvalue 0 
   checkbutton .ordres.lettre -variable ordre_le  -text  "Lettres"  -command  " ordres lettre  "  -onvalue 1 -offvalue 0
 .ordres.fleche invoke
 button .anticiper.vider  -image $poub  -command "vider "
 ##-text [mc{Vide}]
 button .anticiper.tester -text [mc {Fais}] -font {Helvetica 12 bold } -command " tester der " -foreground red
  button .anticiper.tester_deb -text [mc {Tout}] -font {Helvetica 12 bold } -command " tester deb " -foreground red
 pack    .anticiper.vider .anticiper.tester .anticiper.tester_deb  -side right
##pack  .ordres.ah      .ordres.ab   -side left
##pack   .ordres.ad   .ordres.ag     -side  left
##pack .ordres.fl_ah     .ordres.fl_ab  .ordres.fl_ad     .ordres.fl_ag     -side  left -padx 3
pack .ordres.fleche .ordres.lettre -side right
focus -force .anticiper.code
 bind .anticiper.code <Return> "tester der"
 ##anihiler les fleches du clavier
 bind . <Left> { }  ;  bind . <Right> { }
bind . <Up> {} ;  bind . <Down> { }
  }
proc ordres { forme } {
global ordre_fl ordre_le fl_h fl_b   fl_g   fl_d ordre_fl
switch $forme {
	"fleche"  {
	if { $ordre_fl == 1 } {
	pack  .ordres.fl_ah     .ordres.fl_ab  .ordres.fl_ad     .ordres.fl_ag     -side  left -padx 3
	} else { destroy  .ordres.fl_ah   .ordres.fl_ab   .ordres.fl_ad     .ordres.fl_ag  
       button .ordres.fl_ah   -image $fl_h  -command "coder H " ;   button .ordres.fl_ab   -image $fl_b  -command "coder B "
      button .ordres.fl_ad   -image $fl_d  -command "coder D " ;  button .ordres.fl_ag   -image $fl_g  -command "coder G "	
      } 
		}
		"lettre"  {
	if { $ordre_le == 1 } {
	pack   .ordres.ah      .ordres.ab  .ordres.ad   .ordres.ag     -side  left
	} else { destroy    .ordres.ah      .ordres.ab  .ordres.ad   .ordres.ag   
 button .ordres.ah  -text [mc {H}] -font {Helvetica 12 bold } -command "coder H " ; button .ordres.ab  -text [mc {B}] -font {Helvetica 12 bold } -command "coder B "  
button  .ordres.ad  -text [mc {D}] -font {Helvetica 12 bold } -command "coder D "  ;  button .ordres.ag  -text [mc {G}] -font {Helvetica 12  bold } -command "coder G"
	}
	}
	}
}

  proc coder  {vers} {
.anticiper.code insert end "$vers "
}
proc vider {}   {
.anticiper.code delete 0 end
}

proc tester { depuis }  {
global m n tab_laby depart arrivee  curseur largeur hauteur type_laby  x_no y_no x_so y_so x_ne y_ne x_se y_se ici1
##set ici1 $depart 
.bottom.message configure -text "Utilise les flches, les lettres ou le clavier \n puis Fais  pour pas  pas\n ou Tout pour depuis le dpart" \
 -foreground black
 .frame.c delete $curseur
set reussite 0 ; set echec 0
if { $depuis == "deb" } {
set ici1 $depart ; set reussite 0  ; set echec 0
##.anticiper.code delete 0 end
}
cas_nseo $ici1 ; vide_fleche ; focus -force .anticiper.code
set curs_n1 [ .frame.c create rectangle [expr $x_no + 4] [expr $y_no + 4 ] [expr $x_se - 4 ] [expr $y_se - 4 ] -width 1 -fill yellow  -tags curseur ]
set curseur $curs_n1
foreach ordre [.anticiper.code get] { 
if  { ! [regexp {^[H|B|G|D]+$}  $ordre ] } {
set ordre "B"
}
	if { $ici1 == $arrivee &&  $depuis == "deb" } {
clignote_bon ; .right.refaire  configure -state normal
.bottom.message configure -text [format  [mc {C'est fini : nbre echecs %1$s nbre reussites  %2$s }] $echec $reussite] -foreground red
						 } 
	if { $ici1 == $arrivee &&  $depuis == "der" } {
clignote_bon ; .right.refaire  configure -state normal
.bottom.message configure -text  "Bonne arrive"  -foreground green 
}	
switch $ordre {
 	"D" {
 	if { [peut_on $ici1 droite ] == 1 } { after 300  ;  \
	.frame.c  move $curseur $largeur 0 ; set ici1  [expr $ici1 + 1 ] ; update ; if { $depuis == "deb" } { incr reussite }
	} else {  if { $depuis == "deb" }  { incr echec}  ; clignote ; if { $type_laby == "cache" } {traite_cache $ici1 $ou }}
	}
	"G" {
	if { [peut_on $ici1 gauche ] == 1 } { after 300  ;  \
	.frame.c  move $curseur -$largeur 0 ; set ici1 [expr $ici1 - 1 ] ; update ;  if { $depuis == "deb" }  { incr reussite }
	} else {  if { $depuis == "deb" }  { incr echec}  ; clignote ; if { $type_laby == "cache" } {traite_cache $ici1 $ou}}
	}
	"H" { 
	if { [peut_on $ici1 haut ] == 1 } { after 300  ;  \
	.frame.c  move $curseur  0 -$hauteur ; set ici1 [expr $ici1 - $m ] ; update ;    if { $depuis == "deb" }  { incr reussite }
	} else {  if { $depuis == "deb" }  { incr echec }   ;  clignote ; if { $type_laby == "cache" } { traite_cache $ici1 $ou }}
	}
	"B" {
	if { [peut_on $ici1 bas ] == 1 } { after 300  ; \
	.frame.c  move $curseur  0 $hauteur ; set  ici1 [expr $ici1 + $m ] ; update ;   if { $depuis == "deb" }  {  incr reussite }
	} else {  if { $depuis == "deb" }  { incr echec}  ; clignote ; if { $type_laby == "cache" } { traite_cache $ici1 $ou }}
	}
		} 

}
if { $depuis == "deb"  &&  $ici1 != $arrivee} {
.bottom.message configure -text [format  [mc {Bilan provisoire : nbre echecs %1$s nbre reussites  %2$s }] $echec $reussite] -foreground red
}
if { $depuis == "der" } {
.anticiper.code delete 0 end 
}
##recommencer
}

proc traite_auto {prem deux } {
global curseur m n largeur hauteur
 if { $prem == [expr $deux - 1 ] } { .frame.c move $curseur  $largeur 0 }
 if { $prem == [expr $deux + 1 ] } { .frame.c move $curseur  -$largeur 0 }
if { $prem == [expr $deux - $m ] } { .frame.c move $curseur  0 $hauteur   }
 if { $prem == [expr $deux + $m ] } { .frame.c move $curseur  0 -$hauteur }
}
proc auto {chemin } {
##pour chemin faudrait traiter les retours
tracer black
fais_auto $chemin
}
proc fais_auto {chem } {
if { [llength $chem ] == 1  } { return }
##si le premier est plusloinle marquer fais_autodu prem ason gal remonter[fais-auto linverse) et repartir du deuxime
traite_auto [lindex $chem 0] [lindex $chem 1]
after 500
update
fais_auto [lrange $chem 1 end]
}
##.bottom.message configure -text ""
##[array get tab_laby] \n $trace"
##$chem $trace "
##[array get tab_laby
##imprimer le canvas
proc imprime {c} {
if {[info exists env(PRINTER)]} {
    set psCmd "lpr -P$env(PRINTER)"
} else {
    set psCmd "lpr"
}

set postscriptOpts { -pagewidth 220m -pageanchor c  -pagex 140m -pagey 90m
}
 
if {[catch {eval exec $psCmd <<    \
		  {[eval $c postscript $postscriptOpts]}} msg]} {
		    tk_messageBox -message  \
		      "Error when printing: $msg" -icon error -type ok
		}
}
proc sauver_ps {} {
global basedir TRACEDIR_ARBRE Home  tcl_platform
  set date [clock format [clock seconds] -format "%H%M%d%b"]
set TRACEDIR_ARBRE $Home
cd  $Home
global nom_elev nom_class
set nom_elev  $tcl_platform(user)
.frame.c   postscript -file "${nom_elev}$date.ps"
# -height 20c -width 20c  -file "$nom_elev.ps"
cd $basedir
}